JUCE: DragAndDropTarget::SourceDetails Class Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
DragAndDropTarget::SourceDetails Class Reference
juce_gui_basics » mouse

Contains details about the source of a drag-and-drop operation. More...

`#include <juce_DragAndDropTarget.h>`

## Public Member Functions
| SourceDetails (const var &description, Component *sourceComponent, Point< int > localPosition) noexcept
| Creates a SourceDetails object from its various settings.

## Public Attributes
var | description
| A descriptor for the drag - this is set DragAndDropContainer::startDragging().
WeakReference< Component > | sourceComponent
| The component from the drag operation was started.
Point< int > | localPosition
| The local position of the mouse, relative to the target component.

## Detailed Description

Contains details about the source of a drag-and-drop operation.

## Constructor & Destructor Documentation

## ◆ SourceDetails()

DragAndDropTarget::SourceDetails::SourceDetails | ( | const var & | description,
|  | Component * | sourceComponent,
|  | Point< int > | localPosition
| ) |  |
| noexcept

Creates a SourceDetails object from its various settings.

## Member Data Documentation

## ◆ description

var DragAndDropTarget::SourceDetails::description

A descriptor for the drag - this is set DragAndDropContainer::startDragging().

## ◆ sourceComponent

WeakReference<Component> DragAndDropTarget::SourceDetails::sourceComponent

The component from the drag operation was started.

## ◆ localPosition

Point<int> DragAndDropTarget::SourceDetails::localPosition

The local position of the mouse, relative to the target component.

Note that for calls such as isInterestedInDragSource(), this may be a null position.

The documentation for this class was generated from the following file:

- juce_DragAndDropTarget.h